--- old/usr/src/lib/libc/port/locale/lnumeric.h	2013-07-11 12:26:12.692310669 +0000
+++ new/usr/src/lib/libc/port/locale/lnumeric.h	2013-07-11 12:26:12.699249689 +0000
@@ -2,6 +2,11 @@
  * Copyright (c) 2000, 2001 Alexey Zelkin <phantom@FreeBSD.org>
  * All rights reserved.
  *
+ * Copyright (c) 2011 The FreeBSD Foundation
+ * All rights reserved.
+ * Portions of this software were developed by David Chisnall
+ * under sponsorship from the FreeBSD Foundation.
+ *
  * Redistribution and use in source and binary forms, with or without
  * modification, are permitted provided that the following conditions
  * are met:
@@ -27,13 +32,21 @@
 #ifndef _LNUMERIC_H_
 #define	_LNUMERIC_H_
 
+#include "xlocale_private.h"
+
 struct lc_numeric_T {
 	const char	*decimal_point;
 	const char	*thousands_sep;
 	const char	*grouping;
 };
 
-struct lc_numeric_T *__get_current_numeric_locale(void);
+struct xlocale_numeric {
+	struct xlocale_component header;
+	char *buffer;
+	struct lc_numeric_T locale;
+};
+
+struct lc_numeric_T *__get_current_numeric_locale(locale_t);
 int	__numeric_load_locale(const char *);
 
 #endif /* !_LNUMERIC_H_ */
